Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1602265 - Cannot view or download arf-reports generated before upgrade
Summary: Cannot view or download arf-reports generated before upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Ondřej Pražák
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-18 06:07 UTC by Sanket Jagtap
Modified: 2019-04-01 20:27 UTC (History)
4 users (show)

Fixed In Version: foreman_openscap-0.10.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:28:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of error on UI (deleted)
2018-07-18 06:07 UTC, Sanket Jagtap
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24065 None None None 2018-07-18 09:18:29 UTC

Description Sanket Jagtap 2018-07-18 06:07:19 UTC
Created attachment 1459638 [details]
Screenshot of error on UI

Description of problem:


Version-Release number of selected component (if applicable):
Build:Satellite 6.4 snap 12

How reproducible:
Always

Steps to Reproduce:
1. On Satellite 6.3.2 Configure host with OSCAP and have arf-reports generated and present in satellite
2. Perform Upgrade from 6.3 to 6.4.0 snap 12 , using documented steps
3. Visit those reports generated before upgrade , VIew Full report , or try to download those report

Actual results:
PFA

Expected results:
Full report should be generated

Additional info:
Production and proxy log PFA

Comment 3 Marek Hulan 2018-07-18 06:20:40 UTC
I guess you have both Satellite and Capsule upgraded. I don't recall any changes in storage of arf reports, could you please check that you can download that report on your 6.3 instance before upgrade? Is this the path?

/var/lib/foreman-proxy/openscap/reports/arf/6cbb3fb5-b201-42cf-9813-1c233ce54955/7623/1531826160/9871f8e6fa1f4609b9b5a8fa79587efcd875629edf5b7afdee5f55b18f33e213

Is this file removed as part of upgrade?

Comment 4 Ondřej Pražák 2018-07-18 09:18:27 UTC
Connecting redmine issue http://projects.theforeman.org/issues/24065 from this bug

Comment 5 Ondřej Pražák 2018-07-18 09:22:20 UTC
Connecting the Redmine issue which fixes how the error is handled when the report file cannot be found on proxy.

Comment 6 Sanket Jagtap 2018-07-18 09:52:48 UTC
I re-tested this, but this time it was not reproducible and the reports were intact. But yes, we can handle the exception.

Removing the blocker flag as it's not reproducible

Comment 8 Marek Hulan 2018-07-19 05:35:08 UTC
Thanks, updated BZ accordingly.

Comment 9 pm-sat@redhat.com 2018-07-19 06:17:54 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/24065 has been resolved.

Comment 10 Sanket Jagtap 2018-09-11 17:51:37 UTC
Build: Satellite 6.4.0 snap 21

Now we get a Error message without traceback if , the arf file is missing on the satellite 


ERF12-1831 [ProxyAPI::ProxyException]: Unable to get HTML version of requested report from Capsule ([RestClient::InternalServerError]: 500 Internal Server Error) for Capsule https://sat-host:9090/compliance/

Comment 11 Bryan Kearney 2018-10-16 19:28:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.